%global sname deepin-dock
%global repo dde-dock
%global __provides_exclude_from ^%{_prefix}/lib/dde-.*\\.so$

%global start_logo start-here
Name:           %{sname}
Version:        6.0.37
Release:        %autorelease
Summary:        The dock of Deepin Desktop Environment
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-dock
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5XkbCommonSupport)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  qt5-linguist
# provides /usr/lib64/libQt5XkbCommonSupport.a
BuildRequires:  qt5-qtbase-static

BuildRequires:  cmake(DtkGui)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkCMake)
BuildRequires:  cmake(dbusmenu-qt5)
BuildRequires:  cmake(DWayland)

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(dbusmenu-qt5)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xres)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(gio-2.0)

Requires:       deepin-qt-dbus-factory
Requires:       xcb-util-wm
Requires:       xcb-util-image

%description
Deepin desktop-environment - Dock module.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

%if 0%{?fedora}
# set icon to Fedora logo
sed -i 's|deepin-launcher|%{start_logo}|' frame/item/launcheritem.cpp
%endif

# https://build.opensuse.org/projects/X11:Deepin:Factory/packages/deepin-dock/files/deepin-dock.spec?expand=1
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh

sed -i '/TARGETS/s|lib|%{_lib}|' plugins/*/CMakeLists.txt \
                                 plugins/plugin-guide/plugins-developer-guide.md
sed -i 's|libdir.*|libdir=%{_libdir}|' dde-dock.pc.in
sed -i 's|/usr/lib/dde-dock/plugins|%{_libdir}/dde-dock/plugins|' plugins/plugin-guide/plugins-developer-guide.md
sed -i 's|local/lib/dde-dock/plugins|local/%{_lib}/dde-dock/plugins|' plugins/plugin-guide/plugins-developer-guide.md
sed -i 's|/usr/lib|%{_libdir}|g' plugins/pluginmanager/pluginmanager.cpp frame/controller/quicksettingcontroller.cpp

%build
%cmake -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install
%find_lang dde-dock --all-name --with-qt
rm %{buildroot}%{_datadir}/dde-dock/translations/dde-dock.qm

%files -f dde-dock.lang
%license LICENSE
%doc README.md CHANGELOG.md plugins/plugin-guide
%{_bindir}/%{repo}
%dir %{_libdir}/dde-dock
%dir %{_libdir}/dde-dock/plugins
%{_libdir}/dde-dock/plugins/*.so
%{_libdir}/dde-dock/plugins/loader/libpluginmanager.so
%{_libdir}/dde-dock/plugins/quick-trays/*.so
%{_datadir}/dde-dock/window_patterns.json
%{_datadir}/glib-2.0/schemas/com.deepin.dde.dock.module.gschema.xml
%{_datadir}/polkit-1/actions/org.deepin.dde.dock.overlay.policy
%dir %{_sysconfdir}/%{repo}
%dir %{_sysconfdir}/%{repo}/indicator
%config(noreplace) %{_sysconfdir}/%{repo}/indicator/keybord_layout.json
%{_datadir}/dsg/

%files devel
%{_includedir}/%{repo}/
%{_libdir}/pkgconfig/%{repo}.pc
%{_libdir}/cmake/DdeDock/DdeDockConfig.cmake

%changelog
%autochangelog
